<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
			<link rel="stylesheet" type="text/css" href="style.css"/>
				<title> <xsl:apply-templates select="//node" mode="title"/> 
</title>
<script type="text/javascript" language="JavaScript" src="general.js">
</script>
			</head>
			<body onload="initall()">
				<div>
					<xsl:apply-templates select="/root/node"/>
					<xsl:apply-templates select="/root/task"/>
					<xsl:apply-templates select="/root/node" mode="linked"/>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="node" mode="title">
    <xsl:if test="@type='title'"> 
         <xsl:value-of select="./@content"/> 
    </xsl:if> 
	</xsl:template>

	<xsl:template match="//node">
<xsl:choose>
	<xsl:when test="@type='title'"><h1><xsl:value-of select="./@content" disable-output-escaping="yes"/></h1></xsl:when>
		<xsl:when test="@type='taskliststart'"><div class="starttasklist"><xsl:value-of select="./@content" disable-output-escaping="yes"/><xsl:apply-templates mode="edutask"/></div></xsl:when>
		<xsl:when test="@type='materialliststart'"><div class="startmateriallist"><xsl:value-of select="./@content" disable-output-escaping="yes"/><xsl:apply-templates mode="edutask"/></div></xsl:when>		
	<xsl:when test="@type='text'">
        <div><xsl:attribute name="class"><xsl:value-of select="./@style" /></xsl:attribute> <xsl:value-of select="./@content" disable-output-escaping="yes"/></div></xsl:when>
		<xsl:when test="@type='list'"><div class="list"><h2><xsl:value-of select="./@content" disable-output-escaping="yes"/></h2><xsl:apply-templates select="./listitem"/></div></xsl:when>
		<xsl:when test="@type='tree'"><div class="tree"><xsl:attribute name="onclick"><xsl:text>GoTo(</xsl:text><xsl:value-of select="./@typeid"/>,<xsl:value-of select="./@objid"/>)</xsl:attribute><h4><xsl:attribute name="class"><xsl:value-of select="./@typeid"/></xsl:attribute>
		<xsl:value-of select="./@content" disable-output-escaping="yes"/></h4></div></xsl:when>
		<xsl:when test="@type='test'"><div class="test"><div class="testheader"><xsl:attribute name="onclick"><xsl:text>GoTest('</xsl:text><xsl:apply-templates mode="tasklist"/><!--Здесь список всех заданий--><xsl:text>')</xsl:text></xsl:attribute><xsl:value-of select="./@content" disable-output-escaping="yes"/></div><xsl:apply-templates mode="list"/></div></xsl:when>
</xsl:choose>
	</xsl:template>

	<xsl:template match="node" mode="linked">
<xsl:choose>
	<xsl:when test="@type='NotionList'"><div class="NotionList"><h4>Понятийный аппарат</h4><div class="notionlist"><xsl:apply-templates mode="notionlist"/></div></div></xsl:when>
	<xsl:when test="@type='TheoryList'"><div class="TheoryList"><h4>Теоретические материалы</h4><div class="theorylist"><xsl:apply-templates mode="theorylist"/></div></div></xsl:when>
</xsl:choose>
	</xsl:template>

<!--Дерево тестов-->
	<xsl:template match="//node/node" mode="list"> 
	<div class="task"><xsl:attribute name="onclick"><xsl:text>GoTest('</xsl:text><xsl:value-of select="./@objid"/><xsl:text>_</xsl:text><xsl:value-of select="./@typeid"/><xsl:text>')</xsl:text></xsl:attribute><xsl:value-of select="./@content" disable-output-escaping="yes"/>
	</div>
	</xsl:template>
<!--Учебные задания-->
	<xsl:template match="//node/node" mode="edutask"><xsl:if test="@type='test'">
	<div class="tree"><xsl:attribute name="onclick"><xsl:text>GoTo(2010,</xsl:text><xsl:value-of select="./@testid"/>)</xsl:attribute><h4><xsl:value-of select="./@content" disable-output-escaping="yes"/></h4></div></xsl:if>
	</xsl:template>
	
	<xsl:template match="//node/node" mode="tasklist"><xsl:value-of select="./@objid"/><xsl:text>_</xsl:text><xsl:value-of select="./@typeid"/><xsl:text>;</xsl:text></xsl:template>

			
	<xsl:template match="node/listitem">
    <div class="link"><xsl:attribute name="onclick"><xsl:text>GoTo(</xsl:text><xsl:value-of select="./@typeid"/>,<xsl:value-of select="./@objid"/>)</xsl:attribute><xsl:value-of select="./@text" disable-output-escaping="yes"/><xsl:apply-templates/></div>
	</xsl:template>
<!--Просто тестовое задание-->
  <xsl:template match="//task">
  <div class="task"><xsl:attribute name="onclick"><xsl:text>GoTest('</xsl:text><xsl:value-of select="./@id"/><xsl:text>_</xsl:text><xsl:value-of select="./@type"/><xsl:text>')</xsl:text></xsl:attribute><xsl:value-of select="./@title" disable-output-escaping="yes"/></div>
	</xsl:template>
<!--Дерево тестов-->
	<xsl:template match="//node/node" mode="notionlist"><div class="linkednotion"><xsl:attribute name="onclick"><xsl:text>GoTo(</xsl:text><xsl:value-of select="./@typeid"/>,<xsl:value-of select="./@objid"/>)</xsl:attribute><xsl:value-of select="./@content" disable-output-escaping="yes"/></div></xsl:template>

	<xsl:template match="//node/node" mode="theorylist"><div class="linkedtheory"><xsl:attribute name="onclick"><xsl:text>GoTo(</xsl:text><xsl:value-of select="./@typeid"/>,<xsl:value-of select="./@objid"/>)</xsl:attribute><xsl:value-of select="./@content" disable-output-escaping="yes"/></div></xsl:template>
</xsl:stylesheet>
